# Build this project to generate a shared library (*.dll or *.so).

TARGET = QtWebApp
VERSION = 1.9.0
TEMPLATE = lib
QT -= gui

mac {
   QMAKE_MAC_SDK = macosx10.10
   QMAKE_CXXFLAGS += -std=c++11
   CONFIG += c++11
   QMAKE_LFLAGS_SONAME  = -Wl,-install_name,/usr/local/lib/
}

win32 {
   DEFINES += QTWEBAPPLIB_EXPORT
}

# Windows and Unix get the suffix "d" to indicate a debug version of the library.
# Mac OS gets the suffix "_debug".
CONFIG(debug, debug|release) {
    win32:      TARGET = $$join(TARGET,,,d)
    mac:        TARGET = $$join(TARGET,,,_debug)
    unix:!mac:  TARGET = $$join(TARGET,,,d)
}

DISTFILES += mainpage.dox Doxyfile ../CHANGELOG.txt ../LICENSE.txt ../README.txt \
    doc/html/annotated.html \
    doc/html/annotated_dup.js \
    doc/html/bc_s.png \
    doc/html/bdwn.png \
    doc/html/classes.html \
    doc/html/classstefanfrings_1_1DualFileLogger-members.html \
    doc/html/classstefanfrings_1_1DualFileLogger.html \
    doc/html/classstefanfrings_1_1DualFileLogger.js \
    doc/html/classstefanfrings_1_1DualFileLogger__coll__graph.map \
    doc/html/classstefanfrings_1_1DualFileLogger__coll__graph.md5 \
    doc/html/classstefanfrings_1_1DualFileLogger__coll__graph.png \
    doc/html/classstefanfrings_1_1DualFileLogger__inherit__graph.map \
    doc/html/classstefanfrings_1_1DualFileLogger__inherit__graph.md5 \
    doc/html/classstefanfrings_1_1DualFileLogger__inherit__graph.png \
    doc/html/classstefanfrings_1_1FileLogger-members.html \
    doc/html/classstefanfrings_1_1FileLogger.html \
    doc/html/classstefanfrings_1_1FileLogger.js \
    doc/html/classstefanfrings_1_1FileLogger__coll__graph.map \
    doc/html/classstefanfrings_1_1FileLogger__coll__graph.md5 \
    doc/html/classstefanfrings_1_1FileLogger__coll__graph.png \
    doc/html/classstefanfrings_1_1FileLogger__inherit__graph.map \
    doc/html/classstefanfrings_1_1FileLogger__inherit__graph.md5 \
    doc/html/classstefanfrings_1_1FileLogger__inherit__graph.png \
    doc/html/classstefanfrings_1_1HttpConnectionHandler-members.html \
    doc/html/classstefanfrings_1_1HttpConnectionHandler.html \
    doc/html/classstefanfrings_1_1HttpConnectionHandler.js \
    doc/html/classstefanfrings_1_1HttpConnectionHandlerPool-members.html \
    doc/html/classstefanfrings_1_1HttpConnectionHandlerPool.html \
    doc/html/classstefanfrings_1_1HttpConnectionHandlerPool.js \
    doc/html/classstefanfrings_1_1HttpConnectionHandlerPool__coll__graph.map \
    doc/html/classstefanfrings_1_1HttpConnectionHandlerPool__coll__graph.md5 \
    doc/html/classstefanfrings_1_1HttpConnectionHandlerPool__coll__graph.png \
    doc/html/classstefanfrings_1_1HttpConnectionHandlerPool__inherit__graph.map \
    doc/html/classstefanfrings_1_1HttpConnectionHandlerPool__inherit__graph.md5 \
    doc/html/classstefanfrings_1_1HttpConnectionHandlerPool__inherit__graph.png \
    doc/html/classstefanfrings_1_1HttpConnectionHandler__coll__graph.map \
    doc/html/classstefanfrings_1_1HttpConnectionHandler__coll__graph.md5 \
    doc/html/classstefanfrings_1_1HttpConnectionHandler__coll__graph.png \
    doc/html/classstefanfrings_1_1HttpConnectionHandler__inherit__graph.map \
    doc/html/classstefanfrings_1_1HttpConnectionHandler__inherit__graph.md5 \
    doc/html/classstefanfrings_1_1HttpConnectionHandler__inherit__graph.png \
    doc/html/classstefanfrings_1_1HttpCookie-members.html \
    doc/html/classstefanfrings_1_1HttpCookie.html \
    doc/html/classstefanfrings_1_1HttpCookie.js \
    doc/html/classstefanfrings_1_1HttpListener-members.html \
    doc/html/classstefanfrings_1_1HttpListener.html \
    doc/html/classstefanfrings_1_1HttpListener.js \
    doc/html/classstefanfrings_1_1HttpListener__coll__graph.map \
    doc/html/classstefanfrings_1_1HttpListener__coll__graph.md5 \
    doc/html/classstefanfrings_1_1HttpListener__coll__graph.png \
    doc/html/classstefanfrings_1_1HttpListener__inherit__graph.map \
    doc/html/classstefanfrings_1_1HttpListener__inherit__graph.md5 \
    doc/html/classstefanfrings_1_1HttpListener__inherit__graph.png \
    doc/html/classstefanfrings_1_1HttpRequest-members.html \
    doc/html/classstefanfrings_1_1HttpRequest.html \
    doc/html/classstefanfrings_1_1HttpRequest.js \
    doc/html/classstefanfrings_1_1HttpRequestHandler-members.html \
    doc/html/classstefanfrings_1_1HttpRequestHandler.html \
    doc/html/classstefanfrings_1_1HttpRequestHandler.js \
    doc/html/classstefanfrings_1_1HttpRequestHandler__coll__graph.map \
    doc/html/classstefanfrings_1_1HttpRequestHandler__coll__graph.md5 \
    doc/html/classstefanfrings_1_1HttpRequestHandler__coll__graph.png \
    doc/html/classstefanfrings_1_1HttpRequestHandler__inherit__graph.map \
    doc/html/classstefanfrings_1_1HttpRequestHandler__inherit__graph.md5 \
    doc/html/classstefanfrings_1_1HttpRequestHandler__inherit__graph.png \
    doc/html/classstefanfrings_1_1HttpResponse-members.html \
    doc/html/classstefanfrings_1_1HttpResponse.html \
    doc/html/classstefanfrings_1_1HttpResponse.js \
    doc/html/classstefanfrings_1_1HttpSession-members.html \
    doc/html/classstefanfrings_1_1HttpSession.html \
    doc/html/classstefanfrings_1_1HttpSession.js \
    doc/html/classstefanfrings_1_1HttpSessionStore-members.html \
    doc/html/classstefanfrings_1_1HttpSessionStore.html \
    doc/html/classstefanfrings_1_1HttpSessionStore.js \
    doc/html/classstefanfrings_1_1HttpSessionStore__coll__graph.map \
    doc/html/classstefanfrings_1_1HttpSessionStore__coll__graph.md5 \
    doc/html/classstefanfrings_1_1HttpSessionStore__coll__graph.png \
    doc/html/classstefanfrings_1_1HttpSessionStore__inherit__graph.map \
    doc/html/classstefanfrings_1_1HttpSessionStore__inherit__graph.md5 \
    doc/html/classstefanfrings_1_1HttpSessionStore__inherit__graph.png \
    doc/html/classstefanfrings_1_1LogMessage-members.html \
    doc/html/classstefanfrings_1_1LogMessage.html \
    doc/html/classstefanfrings_1_1LogMessage.js \
    doc/html/classstefanfrings_1_1Logger-members.html \
    doc/html/classstefanfrings_1_1Logger.html \
    doc/html/classstefanfrings_1_1Logger.js \
    doc/html/classstefanfrings_1_1Logger__coll__graph.map \
    doc/html/classstefanfrings_1_1Logger__coll__graph.md5 \
    doc/html/classstefanfrings_1_1Logger__coll__graph.png \
    doc/html/classstefanfrings_1_1Logger__inherit__graph.map \
    doc/html/classstefanfrings_1_1Logger__inherit__graph.md5 \
    doc/html/classstefanfrings_1_1Logger__inherit__graph.png \
    doc/html/classstefanfrings_1_1StaticFileController-members.html \
    doc/html/classstefanfrings_1_1StaticFileController.html \
    doc/html/classstefanfrings_1_1StaticFileController.js \
    doc/html/classstefanfrings_1_1StaticFileController__coll__graph.map \
    doc/html/classstefanfrings_1_1StaticFileController__coll__graph.md5 \
    doc/html/classstefanfrings_1_1StaticFileController__coll__graph.png \
    doc/html/classstefanfrings_1_1StaticFileController__inherit__graph.map \
    doc/html/classstefanfrings_1_1StaticFileController__inherit__graph.md5 \
    doc/html/classstefanfrings_1_1StaticFileController__inherit__graph.png \
    doc/html/classstefanfrings_1_1Template-members.html \
    doc/html/classstefanfrings_1_1Template.html \
    doc/html/classstefanfrings_1_1Template.js \
    doc/html/classstefanfrings_1_1TemplateCache-members.html \
    doc/html/classstefanfrings_1_1TemplateCache.html \
    doc/html/classstefanfrings_1_1TemplateCache.js \
    doc/html/classstefanfrings_1_1TemplateCache__coll__graph.map \
    doc/html/classstefanfrings_1_1TemplateCache__coll__graph.md5 \
    doc/html/classstefanfrings_1_1TemplateCache__coll__graph.png \
    doc/html/classstefanfrings_1_1TemplateCache__inherit__graph.map \
    doc/html/classstefanfrings_1_1TemplateCache__inherit__graph.md5 \
    doc/html/classstefanfrings_1_1TemplateCache__inherit__graph.png \
    doc/html/classstefanfrings_1_1TemplateLoader-members.html \
    doc/html/classstefanfrings_1_1TemplateLoader.html \
    doc/html/classstefanfrings_1_1TemplateLoader.js \
    doc/html/classstefanfrings_1_1TemplateLoader__coll__graph.map \
    doc/html/classstefanfrings_1_1TemplateLoader__coll__graph.md5 \
    doc/html/classstefanfrings_1_1TemplateLoader__coll__graph.png \
    doc/html/classstefanfrings_1_1TemplateLoader__inherit__graph.map \
    doc/html/classstefanfrings_1_1TemplateLoader__inherit__graph.md5 \
    doc/html/classstefanfrings_1_1TemplateLoader__inherit__graph.png \
    doc/html/classstefanfrings_1_1Template__coll__graph.map \
    doc/html/classstefanfrings_1_1Template__coll__graph.md5 \
    doc/html/classstefanfrings_1_1Template__coll__graph.png \
    doc/html/classstefanfrings_1_1Template__inherit__graph.map \
    doc/html/classstefanfrings_1_1Template__inherit__graph.md5 \
    doc/html/classstefanfrings_1_1Template__inherit__graph.png \
    doc/html/closed.png \
    doc/html/dir_32a529a3b2babe504aaf73e401f143d0.html \
    doc/html/dir_32a529a3b2babe504aaf73e401f143d0.js \
    doc/html/dir_dac82461edbf7769d1d161433f435c63.html \
    doc/html/dir_dac82461edbf7769d1d161433f435c63.js \
    doc/html/dir_e68e8157741866f444e17edd764ebbae.html \
    doc/html/dir_ee5423a02fc7f452f624d8fafa2433ac.html \
    doc/html/dir_ee5423a02fc7f452f624d8fafa2433ac.js \
    doc/html/doc.png \
    doc/html/doxygen.css \
    doc/html/doxygen.svg \
    doc/html/dualfilelogger_8cpp.html \
    doc/html/dualfilelogger_8cpp__incl.map \
    doc/html/dualfilelogger_8cpp__incl.md5 \
    doc/html/dualfilelogger_8cpp__incl.png \
    doc/html/dualfilelogger_8cpp_source.html \
    doc/html/dualfilelogger_8h.html \
    doc/html/dualfilelogger_8h__dep__incl.map \
    doc/html/dualfilelogger_8h__dep__incl.md5 \
    doc/html/dualfilelogger_8h__dep__incl.png \
    doc/html/dualfilelogger_8h__incl.map \
    doc/html/dualfilelogger_8h__incl.md5 \
    doc/html/dualfilelogger_8h__incl.png \
    doc/html/dualfilelogger_8h_source.html \
    doc/html/dynsections.js \
    doc/html/filelogger_8cpp.html \
    doc/html/filelogger_8cpp__incl.map \
    doc/html/filelogger_8cpp__incl.md5 \
    doc/html/filelogger_8cpp__incl.png \
    doc/html/filelogger_8cpp_source.html \
    doc/html/filelogger_8h.html \
    doc/html/filelogger_8h__dep__incl.map \
    doc/html/filelogger_8h__dep__incl.md5 \
    doc/html/filelogger_8h__dep__incl.png \
    doc/html/filelogger_8h__incl.map \
    doc/html/filelogger_8h__incl.md5 \
    doc/html/filelogger_8h__incl.png \
    doc/html/filelogger_8h_source.html \
    doc/html/files.html \
    doc/html/files_dup.js \
    doc/html/folderclosed.png \
    doc/html/folderopen.png \
    doc/html/functions.html \
    doc/html/functions_enum.html \
    doc/html/functions_func.html \
    doc/html/functions_vars.html \
    doc/html/globals.html \
    doc/html/globals_func.html \
    doc/html/graph_legend.html \
    doc/html/graph_legend.md5 \
    doc/html/graph_legend.png \
    doc/html/hierarchy.html \
    doc/html/hierarchy.js \
    doc/html/httpconnectionhandler_8cpp.html \
    doc/html/httpconnectionhandler_8cpp__incl.map \
    doc/html/httpconnectionhandler_8cpp__incl.md5 \
    doc/html/httpconnectionhandler_8cpp__incl.png \
    doc/html/httpconnectionhandler_8cpp_source.html \
    doc/html/httpconnectionhandler_8h.html \
    doc/html/httpconnectionhandler_8h.js \
    doc/html/httpconnectionhandler_8h__dep__incl.map \
    doc/html/httpconnectionhandler_8h__dep__incl.md5 \
    doc/html/httpconnectionhandler_8h__dep__incl.png \
    doc/html/httpconnectionhandler_8h__incl.map \
    doc/html/httpconnectionhandler_8h__incl.md5 \
    doc/html/httpconnectionhandler_8h__incl.png \
    doc/html/httpconnectionhandler_8h_source.html \
    doc/html/httpconnectionhandlerpool_8cpp_source.html \
    doc/html/httpconnectionhandlerpool_8h_source.html \
    doc/html/httpcookie_8cpp.html \
    doc/html/httpcookie_8cpp__incl.map \
    doc/html/httpcookie_8cpp__incl.md5 \
    doc/html/httpcookie_8cpp__incl.png \
    doc/html/httpcookie_8cpp_source.html \
    doc/html/httpcookie_8h.html \
    doc/html/httpcookie_8h__dep__incl.map \
    doc/html/httpcookie_8h__dep__incl.md5 \
    doc/html/httpcookie_8h__dep__incl.png \
    doc/html/httpcookie_8h__incl.map \
    doc/html/httpcookie_8h__incl.md5 \
    doc/html/httpcookie_8h__incl.png \
    doc/html/httpcookie_8h_source.html \
    doc/html/httpglobal_8cpp_source.html \
    doc/html/httpglobal_8h.html \
    doc/html/httpglobal_8h.js \
    doc/html/httpglobal_8h__dep__incl.map \
    doc/html/httpglobal_8h__dep__incl.md5 \
    doc/html/httpglobal_8h__dep__incl.png \
    doc/html/httpglobal_8h__incl.map \
    doc/html/httpglobal_8h__incl.md5 \
    doc/html/httpglobal_8h__incl.png \
    doc/html/httpglobal_8h_source.html \
    doc/html/httplistener_8cpp.html \
    doc/html/httplistener_8cpp__incl.map \
    doc/html/httplistener_8cpp__incl.md5 \
    doc/html/httplistener_8cpp__incl.png \
    doc/html/httplistener_8cpp_source.html \
    doc/html/httplistener_8h.html \
    doc/html/httplistener_8h__dep__incl.map \
    doc/html/httplistener_8h__dep__incl.md5 \
    doc/html/httplistener_8h__dep__incl.png \
    doc/html/httplistener_8h__incl.map \
    doc/html/httplistener_8h__incl.md5 \
    doc/html/httplistener_8h__incl.png \
    doc/html/httplistener_8h_source.html \
    doc/html/httprequest_8cpp.html \
    doc/html/httprequest_8cpp__incl.map \
    doc/html/httprequest_8cpp__incl.md5 \
    doc/html/httprequest_8cpp__incl.png \
    doc/html/httprequest_8cpp_source.html \
    doc/html/httprequest_8h.html \
    doc/html/httprequest_8h__dep__incl.map \
    doc/html/httprequest_8h__dep__incl.md5 \
    doc/html/httprequest_8h__dep__incl.png \
    doc/html/httprequest_8h__incl.map \
    doc/html/httprequest_8h__incl.md5 \
    doc/html/httprequest_8h__incl.png \
    doc/html/httprequest_8h_source.html \
    doc/html/httprequesthandler_8cpp.html \
    doc/html/httprequesthandler_8cpp__incl.map \
    doc/html/httprequesthandler_8cpp__incl.md5 \
    doc/html/httprequesthandler_8cpp__incl.png \
    doc/html/httprequesthandler_8cpp_source.html \
    doc/html/httprequesthandler_8h.html \
    doc/html/httprequesthandler_8h__dep__incl.map \
    doc/html/httprequesthandler_8h__dep__incl.md5 \
    doc/html/httprequesthandler_8h__dep__incl.png \
    doc/html/httprequesthandler_8h__incl.map \
    doc/html/httprequesthandler_8h__incl.md5 \
    doc/html/httprequesthandler_8h__incl.png \
    doc/html/httprequesthandler_8h_source.html \
    doc/html/httpresponse_8cpp.html \
    doc/html/httpresponse_8cpp__incl.map \
    doc/html/httpresponse_8cpp__incl.md5 \
    doc/html/httpresponse_8cpp__incl.png \
    doc/html/httpresponse_8cpp_source.html \
    doc/html/httpresponse_8h.html \
    doc/html/httpresponse_8h__dep__incl.map \
    doc/html/httpresponse_8h__dep__incl.md5 \
    doc/html/httpresponse_8h__dep__incl.png \
    doc/html/httpresponse_8h__incl.map \
    doc/html/httpresponse_8h__incl.md5 \
    doc/html/httpresponse_8h__incl.png \
    doc/html/httpresponse_8h_source.html \
    doc/html/httpsession_8cpp.html \
    doc/html/httpsession_8cpp__incl.map \
    doc/html/httpsession_8cpp__incl.md5 \
    doc/html/httpsession_8cpp__incl.png \
    doc/html/httpsession_8cpp_source.html \
    doc/html/httpsession_8h.html \
    doc/html/httpsession_8h__dep__incl.map \
    doc/html/httpsession_8h__dep__incl.md5 \
    doc/html/httpsession_8h__dep__incl.png \
    doc/html/httpsession_8h__incl.map \
    doc/html/httpsession_8h__incl.md5 \
    doc/html/httpsession_8h__incl.png \
    doc/html/httpsession_8h_source.html \
    doc/html/httpsessionstore_8cpp.html \
    doc/html/httpsessionstore_8cpp__incl.map \
    doc/html/httpsessionstore_8cpp__incl.md5 \
    doc/html/httpsessionstore_8cpp__incl.png \
    doc/html/httpsessionstore_8cpp_source.html \
    doc/html/httpsessionstore_8h.html \
    doc/html/httpsessionstore_8h__dep__incl.map \
    doc/html/httpsessionstore_8h__dep__incl.md5 \
    doc/html/httpsessionstore_8h__dep__incl.png \
    doc/html/httpsessionstore_8h__incl.map \
    doc/html/httpsessionstore_8h__incl.md5 \
    doc/html/httpsessionstore_8h__incl.png \
    doc/html/httpsessionstore_8h_source.html \
    doc/html/index.html \
    doc/html/inherit_graph_0.map \
    doc/html/inherit_graph_0.md5 \
    doc/html/inherit_graph_0.png \
    doc/html/inherit_graph_1.map \
    doc/html/inherit_graph_1.md5 \
    doc/html/inherit_graph_1.png \
    doc/html/inherit_graph_2.map \
    doc/html/inherit_graph_2.md5 \
    doc/html/inherit_graph_2.png \
    doc/html/inherit_graph_3.map \
    doc/html/inherit_graph_3.md5 \
    doc/html/inherit_graph_3.png \
    doc/html/inherit_graph_4.map \
    doc/html/inherit_graph_4.md5 \
    doc/html/inherit_graph_4.png \
    doc/html/inherit_graph_5.map \
    doc/html/inherit_graph_5.md5 \
    doc/html/inherit_graph_5.png \
    doc/html/inherit_graph_6.map \
    doc/html/inherit_graph_6.md5 \
    doc/html/inherit_graph_6.png \
    doc/html/inherit_graph_7.map \
    doc/html/inherit_graph_7.md5 \
    doc/html/inherit_graph_7.png \
    doc/html/inherits.html \
    doc/html/jquery.js \
    doc/html/logger_8cpp.html \
    doc/html/logger_8cpp__incl.map \
    doc/html/logger_8cpp__incl.md5 \
    doc/html/logger_8cpp__incl.png \
    doc/html/logger_8cpp_source.html \
    doc/html/logger_8h.html \
    doc/html/logger_8h__dep__incl.map \
    doc/html/logger_8h__dep__incl.md5 \
    doc/html/logger_8h__dep__incl.png \
    doc/html/logger_8h__incl.map \
    doc/html/logger_8h__incl.md5 \
    doc/html/logger_8h__incl.png \
    doc/html/logger_8h_source.html \
    doc/html/logglobal_8h.html \
    doc/html/logglobal_8h.js \
    doc/html/logglobal_8h__dep__incl.map \
    doc/html/logglobal_8h__dep__incl.md5 \
    doc/html/logglobal_8h__dep__incl.png \
    doc/html/logglobal_8h__incl.map \
    doc/html/logglobal_8h__incl.md5 \
    doc/html/logglobal_8h__incl.png \
    doc/html/logglobal_8h_source.html \
    doc/html/logmessage_8cpp.html \
    doc/html/logmessage_8cpp__incl.map \
    doc/html/logmessage_8cpp__incl.md5 \
    doc/html/logmessage_8cpp__incl.png \
    doc/html/logmessage_8cpp_source.html \
    doc/html/logmessage_8h.html \
    doc/html/logmessage_8h__dep__incl.map \
    doc/html/logmessage_8h__dep__incl.md5 \
    doc/html/logmessage_8h__dep__incl.png \
    doc/html/logmessage_8h__incl.map \
    doc/html/logmessage_8h__incl.md5 \
    doc/html/logmessage_8h__incl.png \
    doc/html/logmessage_8h_source.html \
    doc/html/menu.js \
    doc/html/menudata.js \
    doc/html/nav_f.png \
    doc/html/nav_g.png \
    doc/html/nav_h.png \
    doc/html/navtree.css \
    doc/html/navtree.js \
    doc/html/navtreedata.js \
    doc/html/navtreeindex0.js \
    doc/html/open.png \
    doc/html/resize.js \
    doc/html/search/all_0.html \
    doc/html/search/all_0.js \
    doc/html/search/all_1.html \
    doc/html/search/all_1.js \
    doc/html/search/all_10.html \
    doc/html/search/all_10.js \
    doc/html/search/all_2.html \
    doc/html/search/all_2.js \
    doc/html/search/all_3.html \
    doc/html/search/all_3.js \
    doc/html/search/all_4.html \
    doc/html/search/all_4.js \
    doc/html/search/all_5.html \
    doc/html/search/all_5.js \
    doc/html/search/all_6.html \
    doc/html/search/all_6.js \
    doc/html/search/all_7.html \
    doc/html/search/all_7.js \
    doc/html/search/all_8.html \
    doc/html/search/all_8.js \
    doc/html/search/all_9.html \
    doc/html/search/all_9.js \
    doc/html/search/all_a.html \
    doc/html/search/all_a.js \
    doc/html/search/all_b.html \
    doc/html/search/all_b.js \
    doc/html/search/all_c.html \
    doc/html/search/all_c.js \
    doc/html/search/all_d.html \
    doc/html/search/all_d.js \
    doc/html/search/all_e.html \
    doc/html/search/all_e.js \
    doc/html/search/all_f.html \
    doc/html/search/all_f.js \
    doc/html/search/classes_0.html \
    doc/html/search/classes_0.js \
    doc/html/search/classes_1.html \
    doc/html/search/classes_1.js \
    doc/html/search/classes_2.html \
    doc/html/search/classes_2.js \
    doc/html/search/classes_3.html \
    doc/html/search/classes_3.js \
    doc/html/search/classes_4.html \
    doc/html/search/classes_4.js \
    doc/html/search/classes_5.html \
    doc/html/search/classes_5.js \
    doc/html/search/close.svg \
    doc/html/search/enums_0.html \
    doc/html/search/enums_0.js \
    doc/html/search/files_0.html \
    doc/html/search/files_0.js \
    doc/html/search/files_1.html \
    doc/html/search/files_1.js \
    doc/html/search/files_2.html \
    doc/html/search/files_2.js \
    doc/html/search/files_3.html \
    doc/html/search/files_3.js \
    doc/html/search/files_4.html \
    doc/html/search/files_4.js \
    doc/html/search/files_5.html \
    doc/html/search/files_5.js \
    doc/html/search/functions_0.html \
    doc/html/search/functions_0.js \
    doc/html/search/functions_1.html \
    doc/html/search/functions_1.js \
    doc/html/search/functions_2.html \
    doc/html/search/functions_2.js \
    doc/html/search/functions_3.html \
    doc/html/search/functions_3.js \
    doc/html/search/functions_4.html \
    doc/html/search/functions_4.js \
    doc/html/search/functions_5.html \
    doc/html/search/functions_5.js \
    doc/html/search/functions_6.html \
    doc/html/search/functions_6.js \
    doc/html/search/functions_7.html \
    doc/html/search/functions_7.js \
    doc/html/search/functions_8.html \
    doc/html/search/functions_8.js \
    doc/html/search/functions_9.html \
    doc/html/search/functions_9.js \
    doc/html/search/functions_a.html \
    doc/html/search/functions_a.js \
    doc/html/search/functions_b.html \
    doc/html/search/functions_b.js \
    doc/html/search/functions_c.html \
    doc/html/search/functions_c.js \
    doc/html/search/functions_d.html \
    doc/html/search/functions_d.js \
    doc/html/search/functions_e.html \
    doc/html/search/functions_e.js \
    doc/html/search/mag_sel.svg \
    doc/html/search/nomatches.html \
    doc/html/search/search.css \
    doc/html/search/search.js \
    doc/html/search/search_l.png \
    doc/html/search/search_m.png \
    doc/html/search/search_r.png \
    doc/html/search/searchdata.js \
    doc/html/search/typedefs_0.html \
    doc/html/search/typedefs_0.js \
    doc/html/search/variables_0.html \
    doc/html/search/variables_0.js \
    doc/html/search/variables_1.html \
    doc/html/search/variables_1.js \
    doc/html/search/variables_2.html \
    doc/html/search/variables_2.js \
    doc/html/search/variables_3.html \
    doc/html/search/variables_3.js \
    doc/html/search/variables_4.html \
    doc/html/search/variables_4.js \
    doc/html/splitbar.png \
    doc/html/staticfilecontroller_8cpp.html \
    doc/html/staticfilecontroller_8cpp__incl.map \
    doc/html/staticfilecontroller_8cpp__incl.md5 \
    doc/html/staticfilecontroller_8cpp__incl.png \
    doc/html/staticfilecontroller_8cpp_source.html \
    doc/html/staticfilecontroller_8h.html \
    doc/html/staticfilecontroller_8h__dep__incl.map \
    doc/html/staticfilecontroller_8h__dep__incl.md5 \
    doc/html/staticfilecontroller_8h__dep__incl.png \
    doc/html/staticfilecontroller_8h__incl.map \
    doc/html/staticfilecontroller_8h__incl.md5 \
    doc/html/staticfilecontroller_8h__incl.png \
    doc/html/staticfilecontroller_8h_source.html \
    doc/html/sync_off.png \
    doc/html/sync_on.png \
    doc/html/tab_a.png \
    doc/html/tab_b.png \
    doc/html/tab_h.png \
    doc/html/tab_s.png \
    doc/html/tabs.css \
    doc/html/template_8cpp.html \
    doc/html/template_8cpp__incl.map \
    doc/html/template_8cpp__incl.md5 \
    doc/html/template_8cpp__incl.png \
    doc/html/template_8cpp_source.html \
    doc/html/template_8h.html \
    doc/html/template_8h__dep__incl.map \
    doc/html/template_8h__dep__incl.md5 \
    doc/html/template_8h__dep__incl.png \
    doc/html/template_8h__incl.map \
    doc/html/template_8h__incl.md5 \
    doc/html/template_8h__incl.png \
    doc/html/template_8h_source.html \
    doc/html/templatecache_8cpp_source.html \
    doc/html/templatecache_8h_source.html \
    doc/html/templateglobal_8h.html \
    doc/html/templateglobal_8h.js \
    doc/html/templateglobal_8h__dep__incl.map \
    doc/html/templateglobal_8h__dep__incl.md5 \
    doc/html/templateglobal_8h__dep__incl.png \
    doc/html/templateglobal_8h__incl.map \
    doc/html/templateglobal_8h__incl.md5 \
    doc/html/templateglobal_8h__incl.png \
    doc/html/templateglobal_8h_source.html \
    doc/html/templateloader_8cpp.html \
    doc/html/templateloader_8cpp__incl.map \
    doc/html/templateloader_8cpp__incl.md5 \
    doc/html/templateloader_8cpp__incl.png \
    doc/html/templateloader_8cpp_source.html \
    doc/html/templateloader_8h.html \
    doc/html/templateloader_8h__dep__incl.map \
    doc/html/templateloader_8h__dep__incl.md5 \
    doc/html/templateloader_8h__dep__incl.png \
    doc/html/templateloader_8h__incl.map \
    doc/html/templateloader_8h__incl.md5 \
    doc/html/templateloader_8h__incl.png \
    doc/html/templateloader_8h_source.html \
    doc/lgpl-3.0.txt \
    doc/mainpage.dox \
    doc/readme.txt \
    doc/releasenotes.txt

include(logging/logging.pri)
include(httpserver/httpserver.pri)
include(templateengine/templateengine.pri)
